<?php
//******************************Consultas sobre facturacion **************************************/

function consultasSobreFacturas()
{
    global $palabras;
    if (strpos($_GET['oracion'], "facturas de") !== false || strpos($_GET['oracion'], "factura de") !== false) {
        $nombres = '';
        for ($inicio = 2; $inicio < count($palabras); $inicio++) {
            $nombres .= $palabras[$inicio] . " ";
        }
        facturasde(trim($nombres));
        exit();
    }
    if (
        strpos($_GET['oracion'], "facturas con importe menor a") !== false ||
        strpos($_GET['oracion'], "factura con importe menor a") !== false
    ) {
        $importe = $palabras[count($palabras) - 1];
        facturasConImporteMenorA($importe);
        exit();
    }
    if (
        strpos($_GET['oracion'], "facturas con importe mayor a") !== false ||
        strpos($_GET['oracion'], "factura con importe mayor a") !== false
    ) {
        $importe = $palabras[count($palabras) - 1];
        facturasConImporteMayorA($importe);
        exit();
    }
    if (
        strpos($_GET['oracion'], "factura numero") !== false ||
        strpos($_GET['oracion'], "facturas numero") !== false
    ) {
        $numero = $palabras[count($palabras) - 1];
        facturaNumero($numero);
        exit();
    }
}

function facturasde($persona)
{
    $conexion = retornarConexion();
    $datos = mysqli_query($conexion, "
    select 
              fact.codigo as codigo,
              date_format(fecha,'%d/%m/%Y') as fecha,
              nombre,
              round(sum(deta.precio*deta.cantidad),2) as importefactura
          from facturas as fact 
          join clientes as cli on cli.codigo=fact.codigocliente
          join detallefactura as deta on deta.codigofactura=fact.codigo
          where nombre='$persona'
          group by deta.codigofactura
          order by codigo desc");
    $resultado = mysqli_fetch_all($datos, MYSQLI_ASSOC);
    echo json_encode($resultado);
}

function facturasConImporteMenorA($importe)
{
    $conexion = retornarConexion();
    $datos = mysqli_query($conexion, "
    select 
              fact.codigo as codigo,
              date_format(fecha,'%d/%m/%Y') as fecha,
              nombre,
              round(sum(deta.precio*deta.cantidad),2) as importefactura
          from facturas as fact 
          join clientes as cli on cli.codigo=fact.codigocliente
          join detallefactura as deta on deta.codigofactura=fact.codigo          
          group by deta.codigofactura
          having importefactura<$importe
          order by codigo desc");
    $resultado = mysqli_fetch_all($datos, MYSQLI_ASSOC);
    echo json_encode($resultado);
}

function facturasConImporteMayorA($importe)
{
    $conexion = retornarConexion();
    $datos = mysqli_query($conexion, "
    select 
              fact.codigo as codigo,
              date_format(fecha,'%d/%m/%Y') as fecha,
              nombre,
              round(sum(deta.precio*deta.cantidad),2) as importefactura
          from facturas as fact 
          join clientes as cli on cli.codigo=fact.codigocliente
          join detallefactura as deta on deta.codigofactura=fact.codigo          
          group by deta.codigofactura
          having importefactura>$importe
          order by codigo desc");
    $resultado = mysqli_fetch_all($datos, MYSQLI_ASSOC);
    echo json_encode($resultado);
}

function facturaNumero($numero)
{
    $conexion = retornarConexion();
    $datos = mysqli_query($conexion, "
    select    pro.descripcion as descripcion,         
              deta.precio as precio,
              cantidad,
              round(deta.precio*deta.cantidad,2) as importefactura
            from detallefactura as deta 
            inner join productos as pro on pro.codigo=deta.codigoproducto
            where codigofactura=$numero
    union
    select   '',
             '',
             'Total a pagar:',
             round(sum(deta.precio*deta.cantidad),2) as importefactura
           from facturas as fact 
           join clientes as cli on cli.codigo=fact.codigocliente
           join detallefactura as deta on deta.codigofactura=fact.codigo          
           where fact.codigo=$numero
           group by deta.codigofactura
    ");
    $resultado = mysqli_fetch_all($datos, MYSQLI_ASSOC);
    echo json_encode($resultado);
}
?>